+function($){'use strict';var Modal=function(element,options){this.options=options
this.$body=$(document.body)
this.$element=$(element)
this.$dialog=this.$element.find('.modal-dialog')
this.$backdrop=null
this.isShown=null
this.originalBodyPad=null
this.scrollbarWidth=0
this.ignoreBackdropClick=false
if(this.options.remote){this.$element.find('.modal-content').load(this.options.remote,$.proxy(function(){this.$element.trigger('loaded.bs.modal')},this))}}
Modal.VERSION='3.3.6'
Modal.TRANSITION_DURATION=300
Modal.BACKDROP_TRANSITION_DURATION=150
Modal.DEFAULTS={backdrop:true,keyboard:true,show:true}
Modal.prototype.toggle=function(_relatedTarget){return this.isShown?this.hide():this.show(_relatedTarget)}
Modal.prototype.show=function(_relatedTarget){var that=this
var e=$.Event('show.bs.modal',{relatedTarget:_relatedTarget})
this.$element.trigger(e)
if(this.isShown||e.isDefaultPrevented())return
this.isShown=true
this.checkScrollbar()
this.setScrollbar()
this.$body.addClass('modal-open')
this.escape()
this.resize()
this.$element.on('click.dismiss.bs.modal','[data-dismiss="modal"]',$.proxy(this.hide,this))
this.$dialog.on('mousedown.dismiss.bs.modal',function(){that.$element.one('mouseup.dismiss.bs.modal',function(e){if($(e.target).is(that.$element))that.ignoreBackdropClick=true})})
this.backdrop(function(){var transition=$.support.transition&&that.$element.hasClass('fade')
if(!that.$element.parent().length){that.$element.appendTo(that.$body)}
that.$element.show().scrollTop(0)
that.adjustDialog()
if(transition){that.$element[0].offsetWidth}
that.$element.addClass('in')
that.enforceFocus()
var e=$.Event('shown.bs.modal',{relatedTarget:_relatedTarget})
transition?that.$dialog.one('bsTransitionEnd',function(){that.$element.trigger('focus').trigger(e)}).emulateTransitionEnd(Modal.TRANSITION_DURATION):that.$element.trigger('focus').trigger(e)})}
Modal.prototype.hide=function(e){if(e)e.preventDefault()
e=$.Event('hide.bs.modal')
this.$element.trigger(e)
if(!this.isShown||e.isDefaultPrevented())return
this.isShown=false
this.escape()
this.resize()
$(document).off('focusin.bs.modal')
this.$element.removeClass('in').off('click.dismiss.bs.modal').off('mouseup.dismiss.bs.modal')
this.$dialog.off('mousedown.dismiss.bs.modal')
$.support.transition&&this.$element.hasClass('fade')?this.$element.one('bsTransitionEnd',$.proxy(this.hideModal,this)).emulateTransitionEnd(Modal.TRANSITION_DURATION):this.hideModal()}
Modal.prototype.enforceFocus=function(){$(document).off('focusin.bs.modal').on('focusin.bs.modal',$.proxy(function(e){if(document!==e.target&&this.$element[0]!==e.target&&!this.$element.has(e.target).length){this.$element.trigger('focus')}},this))}
Modal.prototype.escape=function(){if(this.isShown&&this.options.keyboard){this.$element.on('keydown.dismiss.bs.modal',$.proxy(function(e){e.which==27&&this.hide()},this))}else if(!this.isShown){this.$element.off('keydown.dismiss.bs.modal')}}
Modal.prototype.resize=function(){if(this.isShown){$(window).on('resize.bs.modal',$.proxy(this.handleUpdate,this))}else{$(window).off('resize.bs.modal')}}
Modal.prototype.hideModal=function(){var that=this
this.$element.hide()
this.backdrop(function(){that.$body.removeClass('modal-open')
that.resetAdjustments()
that.resetScrollbar()
that.$element.trigger('hidden.bs.modal')})}
Modal.prototype.removeBackdrop=function(){this.$backdrop&&this.$backdrop.remove()
this.$backdrop=null}
Modal.prototype.backdrop=function(callback){var that=this
var animate=this.$element.hasClass('fade')?'fade':''
if(this.isShown&&this.options.backdrop){var doAnimate=$.support.transition&&animate
this.$backdrop=$(document.createElement('div')).addClass('modal-backdrop '+animate).appendTo(this.$body)
this.$element.on('click.dismiss.bs.modal',$.proxy(function(e){if(this.ignoreBackdropClick){this.ignoreBackdropClick=false
return}
if(e.target!==e.currentTarget)return
this.options.backdrop=='static'?this.$element[0].focus():this.hide()},this))
if(doAnimate)this.$backdrop[0].offsetWidth
this.$backdrop.addClass('in')
if(!callback)return
doAnimate?this.$backdrop.one('bsTransitionEnd',callback).emulateTransitionEnd(Modal.BACKDROP_TRANSITION_DURATION):callback()}else if(!this.isShown&&this.$backdrop){this.$backdrop.removeClass('in')
var callbackRemove=function(){that.removeBackdrop()
callback&&callback()}
$.support.transition&&this.$element.hasClass('fade')?this.$backdrop.one('bsTransitionEnd',callbackRemove).emulateTransitionEnd(Modal.BACKDROP_TRANSITION_DURATION):callbackRemove()}else if(callback){callback()}}
Modal.prototype.handleUpdate=function(){this.adjustDialog()}
Modal.prototype.adjustDialog=function(){var modalIsOverflowing=this.$element[0].scrollHeight>document.documentElement.clientHeight
this.$element.css({paddingLeft:!this.bodyIsOverflowing&&modalIsOverflowing?this.scrollbarWidth:'',paddingRight:this.bodyIsOverflowing&&!modalIsOverflowing?this.scrollbarWidth:''})}
Modal.prototype.resetAdjustments=function(){this.$element.css({paddingLeft:'',paddingRight:''})}
Modal.prototype.checkScrollbar=function(){var fullWindowWidth=window.innerWidth
if(!fullWindowWidth){var documentElementRect=document.documentElement.getBoundingClientRect()
fullWindowWidth=documentElementRect.right-Math.abs(documentElementRect.left)}
this.bodyIsOverflowing=document.body.clientWidth<fullWindowWidth
this.scrollbarWidth=this.measureScrollbar()}
Modal.prototype.setScrollbar=function(){var bodyPad=parseInt((this.$body.css('padding-right')||0),10)
this.originalBodyPad=document.body.style.paddingRight||''
if(this.bodyIsOverflowing)this.$body.css('padding-right',bodyPad+this.scrollbarWidth)}
Modal.prototype.resetScrollbar=function(){this.$body.css('padding-right',this.originalBodyPad)}
Modal.prototype.measureScrollbar=function(){var scrollDiv=document.createElement('div')
scrollDiv.className='modal-scrollbar-measure'
this.$body.append(scrollDiv)
var scrollbarWidth=scrollDiv.offsetWidth-scrollDiv.clientWidth
this.$body[0].removeChild(scrollDiv)
return scrollbarWidth}
function Plugin(option,_relatedTarget){return this.each(function(){var $this=$(this)
var data=$this.data('bs.modal')
var options=$.extend({},Modal.DEFAULTS,$this.data(),typeof option=='object'&&option)
if(!data)$this.data('bs.modal',(data=new Modal(this,options)))
if(typeof option=='string')data[option](_relatedTarget)
else if(options.show)data.show(_relatedTarget)})}
var old=$.fn.modal
$.fn.modal=Plugin
$.fn.modal.Constructor=Modal
$.fn.modal.noConflict=function(){$.fn.modal=old
return this}
$(document).on('click.bs.modal.data-api','[data-toggle="modal"]',function(e){var $this=$(this)
var href=$this.attr('href')
var $target=$($this.attr('data-target')||(href&&href.replace(/.*(?=#[^\s]+$)/,'')))
var option=$target.data('bs.modal')?'toggle':$.extend({remote:!/#/.test(href)&&href},$target.data(),$this.data())
if($this.is('a'))e.preventDefault()
$target.one('show.bs.modal',function(showEvent){if(showEvent.isDefaultPrevented())return
$target.one('hidden.bs.modal',function(){$this.is(':visible')&&$this.trigger('focus')})})
Plugin.call($target,option,this)})}(jQuery);define('barclays/mca/components/templates/bdl/modal/mca-modal',function(){return function anonymous(locals,escape,include,rethrow){rethrow=rethrow||function rethrow(err,str,filename,lineno){var lines=str.split('\n');var start=Math.max(lineno-3,0);var end=Math.min(lines.length,lineno+3);var context=lines.slice(start,end).map(function(line,i){var curr=i+start+1;return(curr==lineno?' >> ':'    ')
+curr
+'| '
+line;}).join('\n');err.path=filename;err.message=(filename||'ejs')+':'
+lineno+'\n'
+context+'\n\n'
+err.message;throw err;};escape=escape||function(markup){return markup==undefined?'':String(markup).replace(_MATCH_HTML,encode_char);};var _ENCODE_HTML_RULES={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&#34;","'":"&#39;"},_MATCH_HTML=/[&<>'"]/g;function encode_char(c){return _ENCODE_HTML_RULES[c]||c;};;var __line=1,__lines="<div\nid=\"<%= config['id'] %>\"\nclass=\"mca-bdl-modal modal fade\n<% if ( config['footer-style'] === 'ios-native' || config['footer-style'] === 'ios-stacked' ) { %>\n<%= ' ios' %>\n<% } %>\n<% if ( config['class']) { %>\n<%= ' ' + config['class'] %>\n<% } %>\n<% if ( config['type'] === \"lightbox\" ) { %>\nu-show in\n<% } %>\n\"\ntabindex=\"-1\"\nrole=\"dialog\"\n<% if ( config['aria-label']) { %>\naria-label=\"<%=config['aria-label']%>\"\n<% } %>\ndata-backdrop=\"static\"\n>\n<div class=\"modal-<%= config['modal-type'] %>\n<% if ( config['footer-style'] === 'ios-stacked' || config['footer-style'] === 'stacked' ) { %>\n<%= ' stacked-buttons' %>\n<% } %>\n\" role=\"document\"\n>\n<% if ( config['title'] ) { %>\n<div class=\"modal-header\">\n<% if ( config['type'] === \"window\" || config['type'] === \"lightbox\") { %>\n<a href=\"#\" class=\"close\n<% if( config['type'] === \"lightbox\" ) { %>\nscp-close-link\n<% } %>\n\" data-dismiss=\"modal\" aria-label=\"Close\"\n<% if( config['isMobile'] ) { %>\nrole=\"button\"\ntabindex=\"0\"\n<% } %>\n>&times;</a>\n<% } %>\n<mca-heading type=\"<%= config['heading-type'] %>\" tabindex=\"0\">\n<%= config['title'] %>\n</mca-heading>\n</div>\n<% } %>\n<%- config['content'] %>\n</div>\n</div>",__filename=undefined;try{var __output=[],__append=__output.push.bind(__output);with(locals||{}){;__append("<div\nid=\"");__line=2;__append(escape(config['id']));__append("\"\nclass=\"mca-bdl-modal modal fade\n");__line=4;if(config['footer-style']==='ios-native'||config['footer-style']==='ios-stacked'){;__line=5;__append(escape(' ios'));__line=6;};__line=7;if(config['class']){;__line=8;__append(escape(' '+config['class']));__line=9;};__line=10;if(config['type']==="lightbox"){;__append("u-show in\n");__line=12;};__append("\"\ntabindex=\"-1\"\nrole=\"dialog\"\n");__line=16;if(config['aria-label']){;__append("aria-label=\"");__line=17;__append(escape(config['aria-label']));__append("\"\n");__line=18;};__append("data-backdrop=\"static\"\n>\n<div class=\"modal-");__line=21;__append(escape(config['modal-type']));__line=22;if(config['footer-style']==='ios-stacked'||config['footer-style']==='stacked'){;__line=23;__append(escape(' stacked-buttons'));__line=24;};__append("\" role=\"document\"\n>\n");__line=27;if(config['title']){;__append("<div class=\"modal-header\">\n");__line=29;if(config['type']==="window"||config['type']==="lightbox"){;__append("<a href=\"#\" class=\"close\n");__line=31;if(config['type']==="lightbox"){;__append("scp-close-link\n");__line=33;};__append("\" data-dismiss=\"modal\" aria-label=\"Close\"\n");__line=35;if(config['isMobile']){;__append("role=\"button\"\ntabindex=\"0\"\n");__line=38;};__append(">&times;</a>\n");__line=40;};__append("<mca-heading type=\"");__line=41;__append(escape(config['heading-type']));__append("\" tabindex=\"0\">\n");__line=42;__append(escape(config['title']));__append("</mca-heading>\n</div>\n");__line=45;};__line=46;__append(config['content']);__append("</div>\n</div>");__line=48}
return __output.join("");}catch(e){rethrow(e,__lines,__filename,__line);}}});define('barclays/mca/components/collection/bdl/modal',['barclays/mca/components/libs/common/extend/bdlApi','barclays/mca/components/collection/bdl/button'],function(api,button){var definition=api.createComponent('modal');definition.usePrebuiltBdlStyles();definition.declareAPI({open:function(value){var optionText='show';if(value===false){optionText='hide';}
this._componentDOM.modal(optionText);}});definition.declareBehavior({_componentDOM:null,initComponent:function(customElementAttributes,componentDOM){var _this=this;_this._componentDOM=componentDOM[0];$('.modal').on('shown.bs.modal',function(){$('.modal .mca-bdl-heading').focus();});_this._componentDOM.on("hidden.bs.modal",function(){_this._enableEvents();});if(customElementAttributes.type==='lightbox'){componentDOM[0].find('.scp-close-link').click(function(){_this._enableEvents();});}},_enableEvents:function(){if(this.closeCallback&&typeof this.closeCallback==='function'){this.closeCallback();}},getSource:function(customElementAttributes){customElementAttributes['heading-type']='h1';customElementAttributes['modal-type']=customElementAttributes.type;if(customElementAttributes['modal-type']==='lightbox'){customElementAttributes['modal-type']='window';}
if(customElementAttributes['type']==='dialog'){customElementAttributes['heading-type']='h3';if(customElementAttributes.title===this.getConfig().title.value){customElementAttributes.title="";}}
customElementAttributes['isMobile']=api.isMobile();return this.getHTML('mca-modal.ejs',{'config':customElementAttributes});},getConfig:function(){return{"title":{name:'Tooltip',value:'Modal Title',type:'string'},"aria-label":{name:'Aria Label',value:'',type:'string'},'type':{name:'Style',value:'window',type:'select',options:{window:'Window',dialog:'Dialog',lightbox:'Lightbox'}},'id':{mandatory:true,name:'ID',value:'',type:'string',validation:{message:'ID must be unique.',unique:true}},"class":{name:'Class',value:'',type:'string'},'footer-style':{name:'Modal Footer Style',value:'aligned',type:'select',options:{'aligned':'Aligned','stacked':'Stacked','ios-native':'IOS Native','ios-stacked':'IOS Stacked'}}};}});return definition.getComponentConstructor();});define('barclays/mca/components/templates/bdl/modal-body/mca-modal-body',function(){return function anonymous(locals,escape,include,rethrow){rethrow=rethrow||function rethrow(err,str,filename,lineno){var lines=str.split('\n');var start=Math.max(lineno-3,0);var end=Math.min(lines.length,lineno+3);var context=lines.slice(start,end).map(function(line,i){var curr=i+start+1;return(curr==lineno?' >> ':'    ')
+curr
+'| '
+line;}).join('\n');err.path=filename;err.message=(filename||'ejs')+':'
+lineno+'\n'
+context+'\n\n'
+err.message;throw err;};escape=escape||function(markup){return markup==undefined?'':String(markup).replace(_MATCH_HTML,encode_char);};var _ENCODE_HTML_RULES={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&#34;","'":"&#39;"},_MATCH_HTML=/[&<>'"]/g;function encode_char(c){return _ENCODE_HTML_RULES[c]||c;};;var __line=1,__lines="<div id=\"<%= config['id'] %>\"\nclass=\"modal-body <%= config['class'] %>\">\n<%- config['content'] %>\n</div>",__filename=undefined;try{var __output=[],__append=__output.push.bind(__output);with(locals||{}){;__append("<div id=\"");__append(escape(config['id']));__append("\"\nclass=\"modal-body ");__line=2;__append(escape(config['class']));__append("\">\n");__line=3;__append(config['content']);__append("</div>");__line=4}
return __output.join("");}catch(e){rethrow(e,__lines,__filename,__line);}}});define('barclays/mca/components/collection/bdl/modal-body',['barclays/mca/components/libs/common/extend/bdlApi'],function(api){var definition=api.createComponent('modal-body');definition.usePrebuiltBdlStyles();definition.declareBehavior({initComponent:function(customElementAttributes,componentDOM){},getSource:function(customElementAttributes){return this.getHTML('mca-modal-body.ejs',{'config':customElementAttributes});},getConfig:function(){return{'id':{name:'ID',value:'',type:'string',validation:{message:'ID must be unique.',unique:true}},"class":{name:'Class',value:'',type:'string'}};}});});define('barclays/mca/components/templates/bdl/modal-footer/mca-modal-footer',function(){return function anonymous(locals,escape,include,rethrow){rethrow=rethrow||function rethrow(err,str,filename,lineno){var lines=str.split('\n');var start=Math.max(lineno-3,0);var end=Math.min(lines.length,lineno+3);var context=lines.slice(start,end).map(function(line,i){var curr=i+start+1;return(curr==lineno?' >> ':'    ')
+curr
+'| '
+line;}).join('\n');err.path=filename;err.message=(filename||'ejs')+':'
+lineno+'\n'
+context+'\n\n'
+err.message;throw err;};escape=escape||function(markup){return markup==undefined?'':String(markup).replace(_MATCH_HTML,encode_char);};var _ENCODE_HTML_RULES={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&#34;","'":"&#39;"},_MATCH_HTML=/[&<>'"]/g;function encode_char(c){return _ENCODE_HTML_RULES[c]||c;};;var __line=1,__lines="<div id=\"<%= config['id'] %>\"\nclass=\"modal-footer clearfix <%= config['class'] %>\">\n<%- config['content'] %>\n</div>",__filename=undefined;try{var __output=[],__append=__output.push.bind(__output);with(locals||{}){;__append("<div id=\"");__append(escape(config['id']));__append("\"\nclass=\"modal-footer clearfix ");__line=2;__append(escape(config['class']));__append("\">\n");__line=3;__append(config['content']);__append("</div>");__line=4}
return __output.join("");}catch(e){rethrow(e,__lines,__filename,__line);}}});define('barclays/mca/components/collection/bdl/modal-footer',['barclays/mca/components/libs/common/extend/bdlApi'],function(api){var definition=api.createComponent('modal-footer');definition.usePrebuiltBdlStyles();definition.declareBehavior({initComponent:function(customElementAttributes,componentDOM){},getSource:function(customElementAttributes){return this.getHTML('mca-modal-footer.ejs',{'config':customElementAttributes});},getConfig:function(){return{'id':{name:'ID',value:'',type:'string',validation:{message:'ID must be unique.',unique:true}},"class":{name:'Class',value:'',type:'string'}};}});});define('barclays/mca/components/bundles/bdl-modal',['barclays/mca/components/collection/bdl/modal','barclays/mca/components/collection/bdl/modal-body','barclays/mca/components/collection/bdl/modal-footer'],function(){});